import { ApolloLink, RequestHandler, Operation } from 'apollo-link';
export declare namespace HttpLink {
    interface UriFunction {
        (operation: Operation): string;
    }
    interface Options {
        uri?: string | UriFunction;
        includeExtensions?: boolean;
        fetch?: GlobalFetch['fetch'];
        headers?: any;
        credentials?: string;
        fetchOptions?: any;
    }
}
export import FetchOptions = HttpLink.Options;
export import UriFunction = HttpLink.UriFunction;
export declare const createHttpLink: (linkOptions?: FetchOptions) => ApolloLink;
export declare class HttpLink extends ApolloLink {
    requester: RequestHandler;
    constructor(opts?: HttpLink.Options);
}
